Download it now!
Bug 76947 - libvisio: numbers are not at the correct position
Summary: libvisio: numbers are not at the correct position
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-02 12:05 UTC by Dennis Roczek
Modified: 2016-01-15 09:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
wrong "indent" of numbers (187.00 KB, application/visio.drawing)
2014-04-02 12:05 UTC, Dennis Roczek
Details
A comparison of Draw and Vision with "highlighted" numbers (49.81 KB, image/png)
2014-04-02 12:07 UTC, Dennis Roczek
Details
another file (235.50 KB, application/visio.drawing)
2014-04-03 08:51 UTC, Dennis Roczek
Details
another file with wrong indention (272.00 KB, application/visio.drawing)
2014-04-08 10:20 UTC, Dennis Roczek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Roczek 2014-04-02 12:05:50 UTC
Created attachment 96777 [details]
wrong "indent" of numbers

The attached Visio file (vsd) was downloaded from Microsoft including ~20 example Visio files. ( http://www.microsoft.com/en-us/download/details.aspx?id=24023 )

This file is a electric plan, but the numbers (1 2 3 4) are in LibreOffice Draw side by side (in the first quarter of the page) and not as in MS Visio (Viewer) in regular intervals spread over the whole page.

The Microsoft's Visio Viewer displays it correctly. I will upload a scrennshot with side by side comparison of Draw and Visio in the next step.
Comment 1 Dennis Roczek 2014-04-02 12:07:44 UTC
Created attachment 96778 [details]
A comparison of Draw and Vision with "highlighted" numbers
Comment 2 Dennis Roczek 2014-04-03 08:51:56 UTC
Created attachment 96829 [details]
another file

attaching another file from the example documents which has the same problem.
Comment 3 Dennis Roczek 2014-04-08 10:20:31 UTC
Created attachment 97067 [details]
another file with wrong indention

another file with (very likely) the same problem: the three IP adresses 
10.112.0/255.255.255.0
10.1.6.0/255.255.255.0
10.1.7.0/255.255.255.0
should be indented to the same position as the IP address 10.1.1.0/255.255.255.0
Comment 4 Buovjaga 2014-10-31 13:33:57 UTC
I confirm the number display problems.
Please create a new report for the indentation problem.

Win 7 64-bit Version: 4.4.0.0.alpha1+
Build ID: 56019dcb79475606952a954fe732a3109441ffec
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-30_07:27:11
Comment 5 Buovjaga 2015-01-12 08:53:28 UTC
Same problem with attachment 96777 [details] on 3.5 already.

Ubuntu 14.10 64-bit
LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 6 Valek Filippov 2015-01-13 23:12:27 UTC
Fridrich, do we support DefTabStops?
Eg. like in 0:2:6:18:5:1:0:3
Comment 7 Valek Filippov 2015-01-13 23:19:27 UTC
(In reply to Valek Filippov from comment #6)
> Fridrich, do we support DefTabStops?
> Eg. like in 0:2:6:18:5:1:0:3

Ok. Disregard.
Looks like we need to understand the meaning of 'Scratch' values.
Comment 8 Fridrich Strba 2016-01-15 09:04:12 UTC
This bug is fixed, since I implemented in libvisio the tab-set definitions. The fix will be released in LO 5.1.0